Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453843 - Attempted text-mode install on ppc traces back
Summary: Attempted text-mode install on ppc traces back
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 10
Hardware: ppc64
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 21:42 UTC by Will Woods
Modified: 2009-02-16 20:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 20:32:19 UTC


Attachments (Terms of Use)
ppc-text-anacdump.txt (deleted)
2008-07-02 21:42 UTC, Will Woods
no flags Details

Description Will Woods 2008-07-02 21:42:11 UTC
Once stage2 anaconda starts, we get the following traceback if running in text mode:

anaconda 11.4.1.10 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/text.py", line 507, in isRealConsole
    if isys.isPseudoTTY(0):
  File "/usr/lib/anaconda/text.py", line 526, in run
    if not self.isRealConsole():
  File "/usr/bin/anaconda", line 931, in <module>
    anaconda.intf.run(anaconda)
AttributeError: 'module' object has no attribute 'isPseudoTTY'

(graphical modes hang after X startup, but that's probably a different bug).

Comment 1 Will Woods 2008-07-02 21:42:11 UTC
Created attachment 310858 [details]
ppc-text-anacdump.txt

Comment 2 Jeremy Katz 2008-07-03 00:39:45 UTC
Fixed in git

Comment 3 Bug Zapper 2008-11-26 02:30:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.